pivot_scaled_sprite_trans(3)

NAME
pivot_scaled_sprite_trans - Rotates and stretches a sprite around a specified point. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void pivot_scaled_sprite_trans(BITMAP *bmp, BITMAP *sprite, int x, int y, int cx, int cy, fixed angle, fixed scale);

DESCRIPTION
Like rotate_scaled_sprite_trans(), but aligns the point in the sprite given by (cx, cy) to (x, y) in the bitmap, then rotates and scales around this point.

SEE ALSO
rotate_sprite_trans(3), rotate_scaled_sprite_trans(3), pivot_sprite_trans(3), pivot_scaled_sprite_v_flip_trans(3)